package main

import (
	"cicv-data-closedloop/common/entity"
	"cicv-data-closedloop/pjisuv_msgs"
)

func Topic() string {
	return "/cicv_location"
}

func Label() string {
	return "DriverTakeOver"
}

func Rule(data *pjisuv_msgs.VehicleFdb, param entity.PjisuvParam) string {
	if data.Automode == 0 && param.AutomodeOfPjVehicleFdbPub == 1 {
		return "DriverTakeOver"
	} else {
		return ""
	}
}
